> For the complete documentation index, see [llms.txt](https://docs.wproofreader.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wproofreader.com/v6.11.1/faq/technical/wproofreader/how-to-disable-cloud-wproofreader-plugin-for-ckeditor-5-while-unit-tests.md).

# How to disable Cloud WProofreader plugin for CKEditor 5 while unit tests?

It might be needed to turn off the WProofreader plugin for CKEditor 5 while performing internal testing. For example, to avoid infinite recursion error, "RangeError: Maximum call stack size exceeded error happens", which sometimes happens in the specific configuration while using Angular. For this, not to pass our option to the CKEditor 5 start config. In the code below, do not pass '**wproofreader {...}**' part from lines #5-8 to CKEditor. Just remove.

```javascript
ClassicEditor
  .create( editorElement, {
     plugins: [ ..., WProofreader],
     toolbar: [ ..., 'wproofreader'],
            wproofreader: {
                  lang: 'en_US', // sets the default language
                  serviceId: 'your-service-ID', // required for the Cloud version only
                  srcUrl: 'https://svc.webspellchecker.net/spellcheck31/wscbundle/wscbundle.js'
}
})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.11.1/faq/technical/wproofreader/how-to-disable-cloud-wproofreader-plugin-for-ckeditor-5-while-unit-tests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
